### Virtual Method

# Gio DBusInterface dup_object

since: 2.32

#### Declaration

    GDBusObject*
    dup_object (
      GDBusInterface* interface_
    )

#### Description

Gets the `GDBusObject` that `interface_` belongs to, if any.

Available since: 2.32

#### Return value

Type: `GDBusObject`

A `GDBusObject` or `NULL`. The returned reference should be freed with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.